#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libva
Version		:	2.22.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Libva is an implementation for Video Acceleration API
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/intel/libva

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	doxygen
BuildRequires	:	libdrm
BuildRequires	:	libxcb
BuildRequires	:	libpciaccess
BuildRequires	:	mesa-devel
#BuildRequires	:	mesa-libEGL-devel
#BuildRequires	:	mesa-libGL-devel
BuildRequires	:	xorg-libXfixes

Obsoletes	:	libva-bootstrap	=	%{version}
#-----------------------------------------------------------------------------
%description
VA-API is an open-source library and API specification,
which provides access to graphics hardware acceleration
capabilities for video processing. It consists of a main
library and driver-specific acceleration backends for
each supported hardware vendor.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc NEWS
%{_libdir}/%{name}*.so.2*

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}			= %{version}-%{release}

Obsoletes	:	libva-bootstrap-devel	=	%{version}
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/va/va.h
%{_includedir}/va/va_*.h
%{_libdir}/%{name}*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-*.pc

#=============================================================================
%package		doc

Summary		:	Documentation for libva

Requires	:	%{name}	=	%{version}-%{release}

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description		doc
Documentation for the libva API

#-----------------------------------------------------------------------------
%files			doc
%defattr(-,root,root,-)
%{_defaultdocdir}/%{name}/html-out/_formulas*.tex
%{_defaultdocdir}/%{name}/html-out/navtree.css
%{_defaultdocdir}/%{name}/html-out/doxygen.css
%{_defaultdocdir}/%{name}/html-out/tabs.css
%{_defaultdocdir}/%{name}/html-out/*.html
%{_defaultdocdir}/%{name}/html-out/*.js
%{_defaultdocdir}/%{name}/html-out/*.png
%{_defaultdocdir}/%{name}/html-out/*.svg
%{_defaultdocdir}/%{name}/html-out/search/search.css
%{_defaultdocdir}/%{name}/html-out/search/*.js
%{_defaultdocdir}/%{name}/html-out/search/*.svg

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
%build

meson	setup						\
	--buildtype=release				\
	--prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D with_legacy=nvctrl				\
	-D with_x11=yes					\
	-D with_wayland=yes				\
	-D enable_docs=TRUE				\
	_bld

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja 							\
	-C _bld						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
	-C _bld						\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
